Katello - Refactor #6451

Clean up organization search options methods in IdResolver
06/30/2014 04:50 PM - David Davis

Status: Closed

Priority: Normal

Assignee: David Davis

Category: Hammer

Target version: Katello 2.0

Branch: Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/207

Difficulty: trivial Fixed in Releases:

Triaged: Yes Found in Releases:

Bugzilla link: 1114757 Red Hat JIRA:

Description

$ hammer organization create --name Test1234
Organization created

$ hammer organization info --name Test1234

Error: organization found more than once

$ hammer organization create --name Test1234

Could not create the organization:

Name has already been taken

Name has already been taken

Title has already been taken

Label already exists (including organizations being deleted)
Organization Names and labels must be unique across all organizations

Associated revisions

Revision 9d089b78 - 07/22/2014 12:52 PM - David Davis
Fixes #6451,BZ1114757 - Cleaning up org search options methods

Revision 252d63f5 - 08/05/2014 10:20 AM - David Davis
Merge pull request #207 from daviddavis/temp/20140722125225

Fixes #6451,BZ1114757 - Cleaning up org search options methods

History

#1 - 06/30/2014 05:57 PM - David Davis
- Bugzilla link set to 1114758

#2 - 06/30/2014 06:00 PM - David Davis
- Bugzilla link changed from 1114758 to 1114757

#3 - 07/07/2014 01:26 PM - Eric Helms
- Target version set to 49
- Difficulty set to trivial

- Triaged changed from No to Yes

#4 - 07/22/2014 12:47 PM - David Davis
- Tracker changed from Bug to Refactor

- Subject changed from The name option for organization commands doesn't seem to work to Clean up organization search options methods in
IdResolver

- Status changed from New to Assigned
This seems to work with the latest from master. Refactoring the code with this redmine task instead.

#5 - 07/26/2014 08:39 AM - Eric Helms
- Target version deleted (49)

#6 - 07/26/2014 10:57 AM - David Davis

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/hammer-cli-katello/pull/207 added
- Pull request deleted ()

#7 - 08/05/2014 10:20 AM - The Foreman Bot

- Target version set to 54

#8 - 08/05/2014 11:01 AM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|9d089b78155330974822241ee2df5e0b3078d0fc.

#9 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/hammer-cli-katello/revisions/9d089b78155330974822241ee2df5e0b3078d0fc
